source: squid-ssl/trunk/fuentes/helpers/ntlm_auth/SSPI/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 41.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ntlm_sspi_auth$(EXEEXT)
95subdir = helpers/ntlm_auth/SSPI
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ntlm_sspi_auth_OBJECTS = ntlm_sspi_auth.$(OBJEXT)
165ntlm_sspi_auth_OBJECTS = $(am_ntlm_sspi_auth_OBJECTS)
166ntlm_sspi_auth_LDADD = $(LDADD)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171ntlm_sspi_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
173        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
174        $(am__DEPENDENCIES_3)
175AM_V_lt = $(am__v_lt_@AM_V@)
176am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
177am__v_lt_0 = --silent
178am__v_lt_1 =
179AM_V_P = $(am__v_P_@AM_V@)
180am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
181am__v_P_0 = false
182am__v_P_1 = :
183AM_V_GEN = $(am__v_GEN_@AM_V@)
184am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
185am__v_GEN_0 = @echo "  GEN     " $@;
186am__v_GEN_1 =
187AM_V_at = $(am__v_at_@AM_V@)
188am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
189am__v_at_0 = @
190am__v_at_1 =
191DEFAULT_INCLUDES =
192depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
193am__depfiles_maybe = depfiles
194am__mv = mv -f
195CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
196        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
197LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
199        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
200        $(AM_CXXFLAGS) $(CXXFLAGS)
201AM_V_CXX = $(am__v_CXX_@AM_V@)
202am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
203am__v_CXX_0 = @echo "  CXX     " $@;
204am__v_CXX_1 =
205CXXLD = $(CXX)
206CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
208        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
209AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
210am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
211am__v_CXXLD_0 = @echo "  CXXLD   " $@;
212am__v_CXXLD_1 =
213SOURCES = $(ntlm_sspi_auth_SOURCES)
214DIST_SOURCES = $(ntlm_sspi_auth_SOURCES)
215am__can_run_installinfo = \
216  case $$AM_UPDATE_INFO_DIR in \
217    n|no|NO) false;; \
218    *) (install-info --version) >/dev/null 2>&1;; \
219  esac
220am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
221am__vpath_adj = case $$p in \
222    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
223    *) f=$$p;; \
224  esac;
225am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
226am__install_max = 40
227am__nobase_strip_setup = \
228  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
229am__nobase_strip = \
230  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
231am__nobase_list = $(am__nobase_strip_setup); \
232  for p in $$list; do echo "$$p $$p"; done | \
233  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
234  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
235    if (++n[$$2] == $(am__install_max)) \
236      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
237    END { for (dir in files) print dir, files[dir] }'
238am__base_list = \
239  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
240  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
241am__uninstall_files_from_dir = { \
242  test -z "$$files" \
243    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
244    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
245         $(am__cd) "$$dir" && rm -f $$files; }; \
246  }
247man8dir = $(mandir)/man8
248NROFF = nroff
249MANS = $(man_MANS)
250am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
251# Read a list of newline-separated strings from the standard input,
252# and print each of them once, without duplicates.  Input order is
253# *not* preserved.
254am__uniquify_input = $(AWK) '\
255  BEGIN { nonempty = 0; } \
256  { items[$$0] = 1; nonempty = 1; } \
257  END { if (nonempty) { for (i in items) print i; }; } \
258'
259# Make sure the list of sources is unique.  This is necessary because,
260# e.g., the same source file might be shared among _SOURCES variables
261# for different programs/libraries.
262am__define_uniq_tagged_files = \
263  list='$(am__tagged_files)'; \
264  unique=`for i in $$list; do \
265    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
266  done | $(am__uniquify_input)`
267ETAGS = etags
268CTAGS = ctags
269am__tty_colors_dummy = \
270  mgn= red= grn= lgn= blu= brg= std=; \
271  am__color_tests=no
272am__tty_colors = { \
273  $(am__tty_colors_dummy); \
274  if test "X$(AM_COLOR_TESTS)" = Xno; then \
275    am__color_tests=no; \
276  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
277    am__color_tests=yes; \
278  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
279    am__color_tests=yes; \
280  fi; \
281  if test $$am__color_tests = yes; then \
282    red='[0;31m'; \
283    grn='[0;32m'; \
284    lgn='[1;32m'; \
285    blu='[1;34m'; \
286    mgn='[0;35m'; \
287    brg='[1m'; \
288    std='[m'; \
289  fi; \
290}
291am__recheck_rx = ^[     ]*:recheck:[    ]*
292am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
293am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
294# A command that, given a newline-separated list of test names on the
295# standard input, print the name of the tests that are to be re-run
296# upon "make recheck".
297am__list_recheck_tests = $(AWK) '{ \
298  recheck = 1; \
299  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
300    { \
301      if (rc < 0) \
302        { \
303          if ((getline line2 < ($$0 ".log")) < 0) \
304            recheck = 0; \
305          break; \
306        } \
307      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
308        { \
309          recheck = 0; \
310          break; \
311        } \
312      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
313        { \
314          break; \
315        } \
316    }; \
317  if (recheck) \
318    print $$0; \
319  close ($$0 ".trs"); \
320  close ($$0 ".log"); \
321}'
322# A command that, given a newline-separated list of test names on the
323# standard input, create the global log from their .trs and .log files.
324am__create_global_log = $(AWK) ' \
325function fatal(msg) \
326{ \
327  print "fatal: making $@: " msg | "cat >&2"; \
328  exit 1; \
329} \
330function rst_section(header) \
331{ \
332  print header; \
333  len = length(header); \
334  for (i = 1; i <= len; i = i + 1) \
335    printf "="; \
336  printf "\n\n"; \
337} \
338{ \
339  copy_in_global_log = 1; \
340  global_test_result = "RUN"; \
341  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
342    { \
343      if (rc < 0) \
344         fatal("failed to read from " $$0 ".trs"); \
345      if (line ~ /$(am__global_test_result_rx)/) \
346        { \
347          sub("$(am__global_test_result_rx)", "", line); \
348          sub("[        ]*$$", "", line); \
349          global_test_result = line; \
350        } \
351      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
352        copy_in_global_log = 0; \
353    }; \
354  if (copy_in_global_log) \
355    { \
356      rst_section(global_test_result ": " $$0); \
357      while ((rc = (getline line < ($$0 ".log"))) != 0) \
358      { \
359        if (rc < 0) \
360          fatal("failed to read from " $$0 ".log"); \
361        print line; \
362      }; \
363      printf "\n"; \
364    }; \
365  close ($$0 ".trs"); \
366  close ($$0 ".log"); \
367}'
368# Restructured Text title.
369am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
370# Solaris 10 'make', and several other traditional 'make' implementations,
371# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
372# by disabling -e (using the XSI extension "set +e") if it's set.
373am__sh_e_setup = case $$- in *e*) set +e;; esac
374# Default flags passed to test drivers.
375am__common_driver_flags = \
376  --color-tests "$$am__color_tests" \
377  --enable-hard-errors "$$am__enable_hard_errors" \
378  --expect-failure "$$am__expect_failure"
379# To be inserted before the command running the test.  Creates the
380# directory for the log if needed.  Stores in $dir the directory
381# containing $f, in $tst the test, in $log the log.  Executes the
382# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
383# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
384# will run the test scripts (or their associated LOG_COMPILER, if
385# thy have one).
386am__check_pre = \
387$(am__sh_e_setup);                                      \
388$(am__vpath_adj_setup) $(am__vpath_adj)                 \
389$(am__tty_colors);                                      \
390srcdir=$(srcdir); export srcdir;                        \
391case "$@" in                                            \
392  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
393    *) am__odir=.;;                                     \
394esac;                                                   \
395test "x$$am__odir" = x"." || test -d "$$am__odir"       \
396  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
397if test -f "./$$f"; then dir=./;                        \
398elif test -f "$$f"; then dir=;                          \
399else dir="$(srcdir)/"; fi;                              \
400tst=$$dir$$f; log='$@';                                 \
401if test -n '$(DISABLE_HARD_ERRORS)'; then               \
402  am__enable_hard_errors=no;                            \
403else                                                    \
404  am__enable_hard_errors=yes;                           \
405fi;                                                     \
406case " $(XFAIL_TESTS) " in                              \
407  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
408    am__expect_failure=yes;;                            \
409  *)                                                    \
410    am__expect_failure=no;;                             \
411esac;                                                   \
412$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
413# A shell command to get the names of the tests scripts with any registered
414# extension removed (i.e., equivalently, the names of the test logs, with
415# the '.log' extension removed).  The result is saved in the shell variable
416# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
417# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
418# since that might cause problem with VPATH rewrites for suffix-less tests.
419# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
420am__set_TESTS_bases = \
421  bases='$(TEST_LOGS)'; \
422  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
423  bases=`echo $$bases`
424RECHECK_LOGS = $(TEST_LOGS)
425AM_RECURSIVE_TARGETS = check recheck
426TEST_SUITE_LOG = test-suite.log
427TEST_EXTENSIONS = @EXEEXT@ .test
428am__test_logs1 = $(TESTS:=.log)
429am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
430TEST_LOGS = $(am__test_logs2:.test.log=.log)
431TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
432TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
433        $(TEST_LOG_FLAGS)
434am__set_b = \
435  case '$@' in \
436    */*) \
437      case '$*' in \
438        */*) b='$*';; \
439          *) b=`echo '$@' | sed 's/\.log$$//'`; \
440       esac;; \
441    *) \
442      b='$*';; \
443  esac
444am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
445        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
446DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
447ACLOCAL = @ACLOCAL@
448ADAPTATION_LIBS = @ADAPTATION_LIBS@
449ALLOCA = @ALLOCA@
450AMTAR = @AMTAR@
451AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
452AR = @AR@
453ARGZ_H = @ARGZ_H@
454AR_R = @AR_R@
455AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
456AUTH_MODULES = @AUTH_MODULES@
457AUTOCONF = @AUTOCONF@
458AUTOHEADER = @AUTOHEADER@
459AUTOMAKE = @AUTOMAKE@
460AWK = @AWK@
461BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
462BUILDCXX = @BUILDCXX@
463BUILDCXXFLAGS = @BUILDCXXFLAGS@
464BZR = @BZR@
465CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
466CC = @CC@
467CCDEPMODE = @CCDEPMODE@
468CFLAGS = @CFLAGS@
469CGIEXT = @CGIEXT@
470CHMOD = @CHMOD@
471CPP = @CPP@
472CPPFLAGS = @CPPFLAGS@
473CPPUNITCONFIG = @CPPUNITCONFIG@
474CRYPTLIB = @CRYPTLIB@
475CXX = @CXX@
476CXXCPP = @CXXCPP@
477CXXDEPMODE = @CXXDEPMODE@
478CXXFLAGS = @CXXFLAGS@
479CYGPATH_W = @CYGPATH_W@
480DEFAULT_HOSTS = @DEFAULT_HOSTS@
481DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
482DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
483DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
484DEFS = @DEFS@
485DEPDIR = @DEPDIR@
486DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
487DISK_LIBS = @DISK_LIBS@
488DISK_LINKOBJS = @DISK_LINKOBJS@
489DISK_MODULES = @DISK_MODULES@
490DISK_OS_LIBS = @DISK_OS_LIBS@
491DISK_PROGRAMS = @DISK_PROGRAMS@
492DLLTOOL = @DLLTOOL@
493DSYMUTIL = @DSYMUTIL@
494DUMPBIN = @DUMPBIN@
495ECAP_LIBS = @ECAP_LIBS@
496ECHO_C = @ECHO_C@
497ECHO_N = @ECHO_N@
498ECHO_T = @ECHO_T@
499EGREP = @EGREP@
500EPOLL_LIBS = @EPOLL_LIBS@
501EUILIB = @EUILIB@
502EXEEXT = @EXEEXT@
503EXPATLIB = @EXPATLIB@
504EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
505EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
506EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
507FALSE = @FALSE@
508FGREP = @FGREP@
509GREP = @GREP@
510HAVE_CXX11 = @HAVE_CXX11@
511ICAP_LIBS = @ICAP_LIBS@
512INCLTDL = @INCLTDL@
513INSTALL = @INSTALL@
514INSTALL_DATA = @INSTALL_DATA@
515INSTALL_PROGRAM = @INSTALL_PROGRAM@
516INSTALL_SCRIPT = @INSTALL_SCRIPT@
517INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
518KRB5INCS = @KRB5INCS@
519KRB5LIBS = @KRB5LIBS@
520LBERLIB = @LBERLIB@
521LD = @LD@
522LDAPLIB = @LDAPLIB@
523LDFLAGS = @LDFLAGS@
524LIBADD_DL = @LIBADD_DL@
525LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
526LIBADD_DLOPEN = @LIBADD_DLOPEN@
527LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
528LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
529LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
530LIBLTDL = @LIBLTDL@
531LIBOBJS = @LIBOBJS@
532LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
533LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
534LIBS = @LIBS@
535LIBSASL = @LIBSASL@
536LIBTOOL = @LIBTOOL@
537LIB_DB = @LIB_DB@
538LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
539LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
540LINUXDOC = @LINUXDOC@
541LIPO = @LIPO@
542LN = @LN@
543LN_S = @LN_S@
544LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
545LTDLDEPS = @LTDLDEPS@
546LTDLINCL = @LTDLINCL@
547LTDLOPEN = @LTDLOPEN@
548LTLIBOBJS = @LTLIBOBJS@
549LT_CONFIG_H = @LT_CONFIG_H@
550LT_DLLOADERS = @LT_DLLOADERS@
551LT_DLPREOPEN = @LT_DLPREOPEN@
552MAINT = @MAINT@
553MAKEINFO = @MAKEINFO@
554MANIFEST_TOOL = @MANIFEST_TOOL@
555MINGW_LIBS = @MINGW_LIBS@
556MKDIR = @MKDIR@
557MKDIR_P = @MKDIR_P@
558MV = @MV@
559NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
560NETTLELIB = @NETTLELIB@
561NM = @NM@
562NMEDIT = @NMEDIT@
563NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
564OBJDUMP = @OBJDUMP@
565OBJEXT = @OBJEXT@
566OTOOL = @OTOOL@
567OTOOL64 = @OTOOL64@
568PACKAGE = @PACKAGE@
569PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
570PACKAGE_NAME = @PACKAGE_NAME@
571PACKAGE_STRING = @PACKAGE_STRING@
572PACKAGE_TARNAME = @PACKAGE_TARNAME@
573PACKAGE_URL = @PACKAGE_URL@
574PACKAGE_VERSION = @PACKAGE_VERSION@
575PATH_SEPARATOR = @PATH_SEPARATOR@
576PERL = @PERL@
577PKG_CONFIG = @PKG_CONFIG@
578PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
579PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
580PO2HTML = @PO2HTML@
581PO2TEXT = @PO2TEXT@
582POD2MAN = @POD2MAN@
583RANLIB = @RANLIB@
584REGEXLIB = @REGEXLIB@
585REPL_LIBS = @REPL_LIBS@
586REPL_OBJS = @REPL_OBJS@
587REPL_POLICIES = @REPL_POLICIES@
588RM = @RM@
589SED = @SED@
590SET_MAKE = @SET_MAKE@
591SH = @SH@
592SHELL = @SHELL@
593SMBCLIENT = @SMBCLIENT@
594SNMPLIB = @SNMPLIB@
595SQUID_CFLAGS = @SQUID_CFLAGS@
596SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
597SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
598SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
599SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
600SSLLIB = @SSLLIB@
601STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
602STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
603STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
604STORE_TESTS = @STORE_TESTS@
605STRIP = @STRIP@
606TR = @TR@
607TRUE = @TRUE@
608URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
609VERSION = @VERSION@
610WBINFO = @WBINFO@
611WIN32_PSAPI = @WIN32_PSAPI@
612XMLLIB = @XMLLIB@
613XTRA_LIBS = @XTRA_LIBS@
614XTRA_OBJS = @XTRA_OBJS@
615abs_builddir = @abs_builddir@
616abs_srcdir = @abs_srcdir@
617abs_top_builddir = @abs_top_builddir@
618abs_top_srcdir = @abs_top_srcdir@
619ac_ct_AR = @ac_ct_AR@
620ac_ct_CC = @ac_ct_CC@
621ac_ct_CXX = @ac_ct_CXX@
622ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
623am__include = @am__include@
624am__leading_dot = @am__leading_dot@
625am__quote = @am__quote@
626am__tar = @am__tar@
627am__untar = @am__untar@
628bindir = @bindir@
629build = @build@
630build_alias = @build_alias@
631build_cpu = @build_cpu@
632build_os = @build_os@
633build_vendor = @build_vendor@
634builddir = @builddir@
635datadir = @datadir@
636datarootdir = @datarootdir@
637docdir = @docdir@
638dvidir = @dvidir@
639exec_prefix = @exec_prefix@
640host = @host@
641host_alias = @host_alias@
642host_cpu = @host_cpu@
643host_os = @host_os@
644host_vendor = @host_vendor@
645htmldir = @htmldir@
646includedir = @includedir@
647infodir = @infodir@
648install_sh = @install_sh@
649krb5_config = @krb5_config@
650libdir = @libdir@
651libexecdir = @libexecdir@
652localedir = @localedir@
653localstatedir = @localstatedir@
654ltdl_LIBOBJS = @ltdl_LIBOBJS@
655ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
656mandir = @mandir@
657mkdir_p = @mkdir_p@
658oldincludedir = @oldincludedir@
659pdfdir = @pdfdir@
660prefix = @prefix@
661program_transform_name = @program_transform_name@
662psdir = @psdir@
663runstatedir = @runstatedir@
664sbindir = @sbindir@
665sharedstatedir = @sharedstatedir@
666srcdir = @srcdir@
667subdirs = @subdirs@
668sys_symbol_underscore = @sys_symbol_underscore@
669sysconfdir = @sysconfdir@
670target_alias = @target_alias@
671top_build_prefix = @top_build_prefix@
672top_builddir = @top_builddir@
673top_srcdir = @top_srcdir@
674AM_CFLAGS = $(SQUID_CFLAGS)
675AM_CXXFLAGS = $(SQUID_CXXFLAGS)
676CLEANFILES =
677AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
678        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
679        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
680        $(am__append_1)
681@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
682@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
683COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
684subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
685man_MANS = ntlm_sspi_auth.8
686ntlm_sspi_auth_SOURCES = ntlm_sspi_auth.cc
687LDADD = \
688        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
689        -L$(top_builddir)/lib -lsspwin32 \
690        $(top_builddir)/lib/libmiscencoding.la \
691        $(COMPAT_LIB) \
692        -lnetapi32 \
693        -ladvapi32 \
694        $(XTRA_LIBS)
695
696EXTRA_DIST = ntlm_sspi_auth.8 required.m4
697all: all-am
698
699.SUFFIXES:
700.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
701$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
702        @for dep in $?; do \
703          case '$(am__configure_deps)' in \
704            *$$dep*) \
705              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
706                && { if test -f $@; then exit 0; else break; fi; }; \
707              exit 1;; \
708          esac; \
709        done; \
710        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/ntlm_auth/SSPI/Makefile'; \
711        $(am__cd) $(top_srcdir) && \
712          $(AUTOMAKE) --foreign helpers/ntlm_auth/SSPI/Makefile
713Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
714        @case '$?' in \
715          *config.status*) \
716            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
717          *) \
718            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
719            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
720        esac;
721$(top_srcdir)/src/Common.am $(am__empty):
722
723$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
724        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725
726$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
727        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
729        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
730$(am__aclocal_m4_deps):
731
732clean-checkPROGRAMS:
733        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
734        echo " rm -f" $$list; \
735        rm -f $$list || exit $$?; \
736        test -n "$(EXEEXT)" || exit 0; \
737        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
738        echo " rm -f" $$list; \
739        rm -f $$list
740install-libexecPROGRAMS: $(libexec_PROGRAMS)
741        @$(NORMAL_INSTALL)
742        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
743        if test -n "$$list"; then \
744          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
745          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
746        fi; \
747        for p in $$list; do echo "$$p $$p"; done | \
748        sed 's/$(EXEEXT)$$//' | \
749        while read p p1; do if test -f $$p \
750         || test -f $$p1 \
751          ; then echo "$$p"; echo "$$p"; else :; fi; \
752        done | \
753        sed -e 'p;s,.*/,,;n;h' \
754            -e 's|.*|.|' \
755            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
756        sed 'N;N;N;s,\n, ,g' | \
757        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
758          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
759            if ($$2 == $$4) files[d] = files[d] " " $$1; \
760            else { print "f", $$3 "/" $$4, $$1; } } \
761          END { for (d in files) print "f", d, files[d] }' | \
762        while read type dir files; do \
763            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
764            test -z "$$files" || { \
765            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
766            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
767            } \
768        ; done
769
770uninstall-libexecPROGRAMS:
771        @$(NORMAL_UNINSTALL)
772        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
773        files=`for p in $$list; do echo "$$p"; done | \
774          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
775              -e 's/$$/$(EXEEXT)/' \
776        `; \
777        test -n "$$list" || exit 0; \
778        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
779        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
780
781clean-libexecPROGRAMS:
782        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
783        echo " rm -f" $$list; \
784        rm -f $$list || exit $$?; \
785        test -n "$(EXEEXT)" || exit 0; \
786        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
787        echo " rm -f" $$list; \
788        rm -f $$list
789
790ntlm_sspi_auth$(EXEEXT): $(ntlm_sspi_auth_OBJECTS) $(ntlm_sspi_auth_DEPENDENCIES) $(EXTRA_ntlm_sspi_auth_DEPENDENCIES)
791        @rm -f ntlm_sspi_auth$(EXEEXT)
792        $(AM_V_CXXLD)$(CXXLINK) $(ntlm_sspi_auth_OBJECTS) $(ntlm_sspi_auth_LDADD) $(LIBS)
793
794mostlyclean-compile:
795        -rm -f *.$(OBJEXT)
796
797distclean-compile:
798        -rm -f *.tab.c
799
800@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_sspi_auth.Po@am__quote@
801
802.cc.o:
803@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
804@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
805@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
806@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
807@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
809
810.cc.obj:
811@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
812@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
813@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
814@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
815@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
817
818.cc.lo:
819@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
820@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
821@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
822@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
823@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
825
826mostlyclean-libtool:
827        -rm -f *.lo
828
829clean-libtool:
830        -rm -rf .libs _libs
831install-man8: $(man_MANS)
832        @$(NORMAL_INSTALL)
833        @list1=''; \
834        list2='$(man_MANS)'; \
835        test -n "$(man8dir)" \
836          && test -n "`echo $$list1$$list2`" \
837          || exit 0; \
838        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
839        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
840        { for i in $$list1; do echo "$$i"; done;  \
841        if test -n "$$list2"; then \
842          for i in $$list2; do echo "$$i"; done \
843            | sed -n '/\.8[a-z]*$$/p'; \
844        fi; \
845        } | while read p; do \
846          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
847          echo "$$d$$p"; echo "$$p"; \
848        done | \
849        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
850              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
851        sed 'N;N;s,\n, ,g' | { \
852        list=; while read file base inst; do \
853          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
854            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
855            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
856          fi; \
857        done; \
858        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
859        while read files; do \
860          test -z "$$files" || { \
861            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
862            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
863        done; }
864
865uninstall-man8:
866        @$(NORMAL_UNINSTALL)
867        @list=''; test -n "$(man8dir)" || exit 0; \
868        files=`{ for i in $$list; do echo "$$i"; done; \
869        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
870          sed -n '/\.8[a-z]*$$/p'; \
871        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
872              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
873        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
874
875ID: $(am__tagged_files)
876        $(am__define_uniq_tagged_files); mkid -fID $$unique
877tags: tags-am
878TAGS: tags
879
880tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
881        set x; \
882        here=`pwd`; \
883        $(am__define_uniq_tagged_files); \
884        shift; \
885        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
886          test -n "$$unique" || unique=$$empty_fix; \
887          if test $$# -gt 0; then \
888            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
889              "$$@" $$unique; \
890          else \
891            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
892              $$unique; \
893          fi; \
894        fi
895ctags: ctags-am
896
897CTAGS: ctags
898ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
899        $(am__define_uniq_tagged_files); \
900        test -z "$(CTAGS_ARGS)$$unique" \
901          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
902             $$unique
903
904GTAGS:
905        here=`$(am__cd) $(top_builddir) && pwd` \
906          && $(am__cd) $(top_srcdir) \
907          && gtags -i $(GTAGS_ARGS) "$$here"
908cscopelist: cscopelist-am
909
910cscopelist-am: $(am__tagged_files)
911        list='$(am__tagged_files)'; \
912        case "$(srcdir)" in \
913          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
914          *) sdir=$(subdir)/$(srcdir) ;; \
915        esac; \
916        for i in $$list; do \
917          if test -f "$$i"; then \
918            echo "$(subdir)/$$i"; \
919          else \
920            echo "$$sdir/$$i"; \
921          fi; \
922        done >> $(top_builddir)/cscope.files
923
924distclean-tags:
925        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
926
927# Recover from deleted '.trs' file; this should ensure that
928# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
929# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
930# to avoid problems with "make -n".
931.log.trs:
932        rm -f $< $@
933        $(MAKE) $(AM_MAKEFLAGS) $<
934
935# Leading 'am--fnord' is there to ensure the list of targets does not
936# expand to empty, as could happen e.g. with make check TESTS=''.
937am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
938am--force-recheck:
939        @:
940
941$(TEST_SUITE_LOG): $(TEST_LOGS)
942        @$(am__set_TESTS_bases); \
943        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
944        redo_bases=`for i in $$bases; do \
945                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
946                    done`; \
947        if test -n "$$redo_bases"; then \
948          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
949          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
950          if $(am__make_dryrun); then :; else \
951            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
952          fi; \
953        fi; \
954        if test -n "$$am__remaking_logs"; then \
955          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
956               "recursion detected" >&2; \
957        elif test -n "$$redo_logs"; then \
958          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
959        fi; \
960        if $(am__make_dryrun); then :; else \
961          st=0;  \
962          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
963          for i in $$redo_bases; do \
964            test -f $$i.trs && test -r $$i.trs \
965              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
966            test -f $$i.log && test -r $$i.log \
967              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
968          done; \
969          test $$st -eq 0 || exit 1; \
970        fi
971        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
972        ws='[   ]'; \
973        results=`for b in $$bases; do echo $$b.trs; done`; \
974        test -n "$$results" || results=/dev/null; \
975        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
976        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
977        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
978        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
979        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
980        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
981        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
982        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
983          success=true; \
984        else \
985          success=false; \
986        fi; \
987        br='==================='; br=$$br$$br$$br$$br; \
988        result_count () \
989        { \
990            if test x"$$1" = x"--maybe-color"; then \
991              maybe_colorize=yes; \
992            elif test x"$$1" = x"--no-color"; then \
993              maybe_colorize=no; \
994            else \
995              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
996            fi; \
997            shift; \
998            desc=$$1 count=$$2; \
999            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1000              color_start=$$3 color_end=$$std; \
1001            else \
1002              color_start= color_end=; \
1003            fi; \
1004            echo "$${color_start}# $$desc $$count$${color_end}"; \
1005        }; \
1006        create_testsuite_report () \
1007        { \
1008          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1009          result_count $$1 "PASS: " $$pass  "$$grn"; \
1010          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1011          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1012          result_count $$1 "FAIL: " $$fail  "$$red"; \
1013          result_count $$1 "XPASS:" $$xpass "$$red"; \
1014          result_count $$1 "ERROR:" $$error "$$mgn"; \
1015        }; \
1016        {                                                               \
1017          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1018            $(am__rst_title);                                           \
1019          create_testsuite_report --no-color;                           \
1020          echo;                                                         \
1021          echo ".. contents:: :depth: 2";                               \
1022          echo;                                                         \
1023          for b in $$bases; do echo $$b; done                           \
1024            | $(am__create_global_log);                                 \
1025        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1026        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1027        if $$success; then                                              \
1028          col="$$grn";                                                  \
1029         else                                                           \
1030          col="$$red";                                                  \
1031          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1032        fi;                                                             \
1033        echo "$${col}$$br$${std}";                                      \
1034        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1035        echo "$${col}$$br$${std}";                                      \
1036        create_testsuite_report --maybe-color;                          \
1037        echo "$$col$$br$$std";                                          \
1038        if $$success; then :; else                                      \
1039          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1040          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1041            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1042          fi;                                                           \
1043          echo "$$col$$br$$std";                                        \
1044        fi;                                                             \
1045        $$success || exit 1
1046
1047check-TESTS:
1048        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1049        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1050        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1051        @set +e; $(am__set_TESTS_bases); \
1052        log_list=`for i in $$bases; do echo $$i.log; done`; \
1053        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1054        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1055        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1056        exit $$?;
1057recheck: all $(check_PROGRAMS)
1058        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1059        @set +e; $(am__set_TESTS_bases); \
1060        bases=`for i in $$bases; do echo $$i; done \
1061                 | $(am__list_recheck_tests)` || exit 1; \
1062        log_list=`for i in $$bases; do echo $$i.log; done`; \
1063        log_list=`echo $$log_list`; \
1064        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1065                am__force_recheck=am--force-recheck \
1066                TEST_LOGS="$$log_list"; \
1067        exit $$?
1068.test.log:
1069        @p='$<'; \
1070        $(am__set_b); \
1071        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1072        --log-file $$b.log --trs-file $$b.trs \
1073        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1074        "$$tst" $(AM_TESTS_FD_REDIRECT)
1075@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1076@am__EXEEXT_TRUE@       @p='$<'; \
1077@am__EXEEXT_TRUE@       $(am__set_b); \
1078@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1079@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1080@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1081@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1082
1083distdir: $(DISTFILES)
1084        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1085        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1086        list='$(DISTFILES)'; \
1087          dist_files=`for file in $$list; do echo $$file; done | \
1088          sed -e "s|^$$srcdirstrip/||;t" \
1089              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1090        case $$dist_files in \
1091          */*) $(MKDIR_P) `echo "$$dist_files" | \
1092                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1093                           sort -u` ;; \
1094        esac; \
1095        for file in $$dist_files; do \
1096          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1097          if test -d $$d/$$file; then \
1098            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1099            if test -d "$(distdir)/$$file"; then \
1100              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1101            fi; \
1102            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1103              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1104              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1105            fi; \
1106            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1107          else \
1108            test -f "$(distdir)/$$file" \
1109            || cp -p $$d/$$file "$(distdir)/$$file" \
1110            || exit 1; \
1111          fi; \
1112        done
1113check-am: all-am
1114        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1115        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1116check: check-am
1117all-am: Makefile $(PROGRAMS) $(MANS)
1118installdirs:
1119        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1120          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1121        done
1122install: install-am
1123install-exec: install-exec-am
1124install-data: install-data-am
1125uninstall: uninstall-am
1126
1127install-am: all-am
1128        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1129
1130installcheck: installcheck-am
1131install-strip:
1132        if test -z '$(STRIP)'; then \
1133          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1134            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1135              install; \
1136        else \
1137          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1138            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1139            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1140        fi
1141mostlyclean-generic:
1142        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1143        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1144        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1145
1146clean-generic:
1147        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1148
1149distclean-generic:
1150        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1151        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1152
1153maintainer-clean-generic:
1154        @echo "This command is intended for maintainers to use"
1155        @echo "it deletes files that may require special tools to rebuild."
1156clean: clean-am
1157
1158clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1159        clean-libtool mostlyclean-am
1160
1161distclean: distclean-am
1162        -rm -rf ./$(DEPDIR)
1163        -rm -f Makefile
1164distclean-am: clean-am distclean-compile distclean-generic \
1165        distclean-tags
1166
1167dvi: dvi-am
1168
1169dvi-am:
1170
1171html: html-am
1172
1173html-am:
1174
1175info: info-am
1176
1177info-am:
1178
1179install-data-am: install-man
1180
1181install-dvi: install-dvi-am
1182
1183install-dvi-am:
1184
1185install-exec-am: install-libexecPROGRAMS
1186
1187install-html: install-html-am
1188
1189install-html-am:
1190
1191install-info: install-info-am
1192
1193install-info-am:
1194
1195install-man: install-man8
1196
1197install-pdf: install-pdf-am
1198
1199install-pdf-am:
1200
1201install-ps: install-ps-am
1202
1203install-ps-am:
1204
1205installcheck-am:
1206
1207maintainer-clean: maintainer-clean-am
1208        -rm -rf ./$(DEPDIR)
1209        -rm -f Makefile
1210maintainer-clean-am: distclean-am maintainer-clean-generic
1211
1212mostlyclean: mostlyclean-am
1213
1214mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1215        mostlyclean-libtool
1216
1217pdf: pdf-am
1218
1219pdf-am:
1220
1221ps: ps-am
1222
1223ps-am:
1224
1225uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1226
1227uninstall-man: uninstall-man8
1228
1229.MAKE: check-am install-am install-strip
1230
1231.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1232        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1233        clean-libtool cscopelist-am ctags ctags-am distclean \
1234        distclean-compile distclean-generic distclean-libtool \
1235        distclean-tags distdir dvi dvi-am html html-am info info-am \
1236        install install-am install-data install-data-am install-dvi \
1237        install-dvi-am install-exec install-exec-am install-html \
1238        install-html-am install-info install-info-am \
1239        install-libexecPROGRAMS install-man install-man8 install-pdf \
1240        install-pdf-am install-ps install-ps-am install-strip \
1241        installcheck installcheck-am installdirs maintainer-clean \
1242        maintainer-clean-generic mostlyclean mostlyclean-compile \
1243        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1244        recheck tags tags-am uninstall uninstall-am \
1245        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1246
1247.PRECIOUS: Makefile
1248
1249
1250$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1251
1252# Tell versions [3.59,3.63) of GNU make to not export all variables.
1253# Otherwise a system limit (for SysV at least) may be exceeded.
1254.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.